Bug 119514

Summary: [CMake] Split out generic Windows files into its own file
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: Tools / TestsAssignee: Patrick R. Gansterer <paroga>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, cmarcelo, commit-queue, gyuyoung.kim, gyuyoung.kim, rakuco
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows 7   
Bug Depends on:    
Bug Blocks: 115944    
Attachments:
Description Flags
Patch gyuyoung.kim: review+

Description Patrick R. Gansterer 2013-08-06 01:39:19 PDT
[CMake] Split out generic Windows files into its own file
Comment 1 Patrick R. Gansterer 2013-08-06 01:44:05 PDT
Created attachment 208174 [details]
Patch
Comment 2 Gyuyoung Kim 2013-08-14 23:01:06 PDT
Comment on attachment 208174 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=208174&action=review

> Source/WTF/ChangeLog:12
> +        * wtf/PlatformWinCE.cmake: Removed.

Aren't you go in the opposite direction ? Any reason ?
Comment 3 Gyuyoung Kim 2013-08-14 23:02:23 PDT
(In reply to comment #2)
> (From update of attachment 208174 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=208174&action=review
> 
> > Source/WTF/ChangeLog:12
> > +        * wtf/PlatformWinCE.cmake: Removed.
> 
> Aren't you go in the opposite direction ? Any reason ?

s/Aren't/Don't/g
Comment 4 Patrick R. Gansterer 2013-09-03 05:48:28 PDT
(In reply to comment #2)
> (From update of attachment 208174 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=208174&action=review
> 
> > Source/WTF/ChangeLog:12
> > +        * wtf/PlatformWinCE.cmake: Removed.
> 
> Aren't you go in the opposite direction ? Any reason ?

No, since PlatformWin.cmake avoids duplication in PlatformWin(Apple|Cairo|WinCE).cmake. IMO this is only a first step, because I'd like to get rid of the PlatformWin*.cmake files in favor of a single PlatformWin.cmake, which uses a kind of Use*.cmake files. In the end there should then be e.g. a PlatformWin.cmake, which includes a UseCairo.cmake, that can also be used by the PlatformGTK.cmake files. But as already said: this is only a first step in that direction to make it easier to add PlatformWinCairo.cmake files...
Comment 5 Gyuyoung Kim 2013-09-03 17:59:03 PDT
Comment on attachment 208174 [details]
Patch

r=me as a first step to support the win ports.
Comment 6 Patrick R. Gansterer 2013-09-11 06:43:50 PDT
Committed r155521: <http://trac.webkit.org/changeset/155521>